Debian Bug report logs - #575284
ncurses: causes slang2 miscompiliation [hppa, i386]

version graph

Package: ncurses-bin; Maintainer for ncurses-bin is Craig Small <csmall@debian.org>; Source for ncurses-bin is src:ncurses.

Reported by: Julien Cristau <jcristau@debian.org>

Date: Wed, 24 Mar 2010 10:18:02 UTC

Severity: grave

Tags: d-i

Found in version ncurses/5.7+20100313-1

Fixed in version ncurses/5.7+20100313-2

Done: Sven Joachim <svenjoac@gmx.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Alastair McKinstry <mckinstry@debian.org>:
Bug#575220; Package libslang2. (Wed, 24 Mar 2010 10:18:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
New Bug report received and forwarded. Copy sent to Alastair McKinstry <mckinstry@debian.org>. (Wed, 24 Mar 2010 10:18:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: libslang2: unresolved symbols in hppa's libslang.so.2
Date: Wed, 24 Mar 2010 11:15:32 +0100
[Message part 1 (text/plain, inline)]
Package: libslang2
Version: 2.2.2-4
Severity: grave
Tags: d-i
Justification: renders package unusable

libslang.so.2 on hppa has undefined symbols:

(sid)jcristau@paer:~$ ldd -r /lib/libslang.so.2
        libdl.so.2 => /lib/libdl.so.2 (0x404f6000)
        libm.so.6 => /lib/libm.so.6 (0x40450000)
        libc.so.6 => /lib/libc.so.6 (0x408f0000)
        /lib/ld.so.1 (0x410dc000)
undefined symbol: tgetflag      (/lib/libslang.so.2)
undefined symbol: tgetent       (/lib/libslang.so.2)
undefined symbol: tgetnum       (/lib/libslang.so.2)
undefined symbol: tgetstr       (/lib/libslang.so.2)

This renders other packages unbuildable (see e.g.
https://buildd.debian.org/fetch.cgi?pkg=cdebconf-entropy&arch=hppa&ver=0.14&stamp=1269398913&file=log&as=raw)

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Alastair McKinstry <mckinstry@debian.org>:
Bug#575220; Package libslang2. (Wed, 24 Mar 2010 14:42:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to Alastair McKinstry <mckinstry@debian.org>. (Wed, 24 Mar 2010 14:42:09 GMT) Full text and rfc822 format available.

Message #10 received at 575220@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Julien Cristau <jcristau@debian.org>, 575220@bugs.debian.org
Subject: Re: Bug#575220: libslang2: unresolved symbols in hppa's libslang.so.2
Date: Wed, 24 Mar 2010 15:41:09 +0100
[Message part 1 (text/plain, inline)]
Julien Cristau <jcristau@debian.org> (24/03/2010):
> libslang.so.2 on hppa has undefined symbols:
> 
> (sid)jcristau@paer:~$ ldd -r /lib/libslang.so.2
>         libdl.so.2 => /lib/libdl.so.2 (0x404f6000)
>         libm.so.6 => /lib/libm.so.6 (0x40450000)
>         libc.so.6 => /lib/libc.so.6 (0x408f0000)
>         /lib/ld.so.1 (0x410dc000)
> undefined symbol: tgetflag      (/lib/libslang.so.2)
> undefined symbol: tgetent       (/lib/libslang.so.2)
> undefined symbol: tgetnum       (/lib/libslang.so.2)
> undefined symbol: tgetstr       (/lib/libslang.so.2)

Caused by:
,---[ build-tree/slang-2.2.2/src/sldisply.c ]---
| /* #define USE_TERMCAP 1 */
| #ifdef USE_TERMCAP
| /* Termcap based system */
| static char Termcap_Buf[4096];
| /* static char Termcap_String_Buf[4096]; */
| /* static char *Termcap_String_Ptr; */
| extern char *tgetstr(char *, char **);
| extern int tgetent(char *, char *);
| extern int tgetnum(char *);
| extern int tgetflag(char *);
| #else
| /* Terminfo */
| static SLterminfo_Type *Terminfo;
| #endif
`---

,---[ configure check ]---
| TERMCAP=-ltermcap
| 
| for terminfo_dir in $JD_Terminfo_Dirs
| do
|    if test -d $terminfo_dir
|    then
|       { echo "$as_me:$LINENO: result: yes" >&5
| echo "${ECHO_T}yes" >&6; }
|       TERMCAP=""
|       break
|    fi
| done
| if test "$TERMCAP"; then
|   { echo "$as_me:$LINENO: result: no" >&5
| echo "${ECHO_T}no" >&6; }
|   cat >>confdefs.h <<\_ACEOF
| #define USE_TERMCAP 1
| _ACEOF
| 
| fi
`---

As can be seen in build logs, configure bits:
| amd64: checking for terminfo... yes
| hppa: checking for terminfo... no

I don't know why that's the case yet, but I might look into this later
today.

Mraw,
KiBi.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Alastair McKinstry <mckinstry@debian.org>:
Bug#575220; Package libslang2. (Wed, 24 Mar 2010 17:21:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to Alastair McKinstry <mckinstry@debian.org>. (Wed, 24 Mar 2010 17:21:06 GMT) Full text and rfc822 format available.

Message #15 received at 575220@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Julien Cristau <jcristau@debian.org>, 575220@bugs.debian.org
Subject: Re: Bug#575220: libslang2: unresolved symbols in hppa's libslang.so.2
Date: Wed, 24 Mar 2010 18:21:54 +0100
[Message part 1 (text/plain, inline)]
Cyril Brulebois <kibi@debian.org> (24/03/2010):
> As can be seen in build logs, configure bits:
> | amd64: checking for terminfo... yes
> | hppa: checking for terminfo... no
> 
> I don't know why that's the case yet, but I might look into this
> later today.

Scary.

hppa:
| $ ncurses5-config --terminfo
| /usr/share/terminfo
| $ ls -l $(ncurses5-config --terminfo)
| ls: cannot access /usr/share/terminfo: No such file or directory

on a regular-non-broken-non-hppa system:
| $ ncurses5-config --terminfo
| /etc/terminfo

For the record, that config script is a shell script generated from
ncurses's misc/ncurses-config.in, using stuff gathered through
misc/run_tic.in, which is probably where one's going to have a look in
order find what exactly causes this. I'm not sure whether I'm going to
have time and motivation to do so.

Mraw,
KiBi.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Alastair McKinstry <mckinstry@debian.org>:
Bug#575220; Package libslang2. (Wed, 24 Mar 2010 17:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sven Joachim <svenjoac@gmx.de>:
Extra info received and forwarded to list. Copy sent to Alastair McKinstry <mckinstry@debian.org>. (Wed, 24 Mar 2010 17:45:03 GMT) Full text and rfc822 format available.

Message #20 received at 575220@bugs.debian.org (full text, mbox):

From: Sven Joachim <svenjoac@gmx.de>
To: Cyril Brulebois <kibi@debian.org>
Cc: 575220@bugs.debian.org, Julien Cristau <jcristau@debian.org>, ncurses@packages.debian.org
Subject: Re: Bug#575220: libslang2: unresolved symbols in hppa's libslang.so.2
Date: Wed, 24 Mar 2010 18:42:25 +0100
[ CC'ing ncurses maintainers. ]

On 2010-03-24 18:21 +0100, Cyril Brulebois wrote:

> Cyril Brulebois <kibi@debian.org> (24/03/2010):
>> As can be seen in build logs, configure bits:
>> | amd64: checking for terminfo... yes
>> | hppa: checking for terminfo... no
>> 
>> I don't know why that's the case yet, but I might look into this
>> later today.
>
> Scary.
>
> hppa:
> | $ ncurses5-config --terminfo
> | /usr/share/terminfo
> | $ ls -l $(ncurses5-config --terminfo)
> | ls: cannot access /usr/share/terminfo: No such file or directory
>
> on a regular-non-broken-non-hppa system:
> | $ ncurses5-config --terminfo
> | /etc/terminfo

This seems to be a fallout of the fix for #509919.  FWIW, I get
/usr/share/terminfo here (on i386) as well.

> For the record, that config script is a shell script generated from
> ncurses's misc/ncurses-config.in, using stuff gathered through
> misc/run_tic.in, which is probably where one's going to have a look in
> order find what exactly causes this. I'm not sure whether I'm going to
> have time and motivation to do so.

Maybe it would help if we shipped /usr/share/terminfo in ncurses-base
again?  There used to be symlinks to the files in /lib/terminfo there,
but I removed them as libncurses does not need them (the library looks
in /etc/terminfo, /lib/terminfo and /usr/share/terminfo).

Sven




Information forwarded to debian-bugs-dist@lists.debian.org, Alastair McKinstry <mckinstry@debian.org>:
Bug#575220; Package libslang2. (Wed, 24 Mar 2010 18:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to Alastair McKinstry <mckinstry@debian.org>. (Wed, 24 Mar 2010 18:03:03 GMT) Full text and rfc822 format available.

Message #25 received at 575220@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Sven Joachim <svenjoac@gmx.de>
Cc: 575220@bugs.debian.org, Julien Cristau <jcristau@debian.org>, ncurses@packages.debian.org
Subject: Re: Bug#575220: libslang2: unresolved symbols in hppa's libslang.so.2
Date: Wed, 24 Mar 2010 18:59:21 +0100
[Message part 1 (text/plain, inline)]
Sven Joachim <svenjoac@gmx.de> (24/03/2010):
> [ CC'ing ncurses maintainers. ]

Yep, I wanted to do the same but either failed or forgot. My ncurses
build is still running on paer, I wanted to have (pre)processed files
before looking deeper.

> This seems to be a fallout of the fix for #509919.  FWIW, I get
> /usr/share/terminfo here (on i386) as well.

I only very quickly looked into it, but that sounds likely. I've
checked that the configure parameters were the same on different
architectures, I believe autodetection is acting differently across
architectures. Maybe it'd be nice to fix that bit…

> Maybe it would help if we shipped /usr/share/terminfo in
> ncurses-base again?  There used to be symlinks to the files in
> /lib/terminfo there, but I removed them as libncurses does not need
> them (the library looks in /etc/terminfo, /lib/terminfo and
> /usr/share/terminfo).

… but that might also do the job.

I really have no strong opinions, as long as we can get slang2 fixed,
and cdebconf-entropy in turn. :)

Mraw,
KiBi.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Alastair McKinstry <mckinstry@debian.org>:
Bug#575220; Package libslang2. (Wed, 24 Mar 2010 18:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sven Joachim <svenjoac@gmx.de>:
Extra info received and forwarded to list. Copy sent to Alastair McKinstry <mckinstry@debian.org>. (Wed, 24 Mar 2010 18:15:03 GMT) Full text and rfc822 format available.

Message #30 received at 575220@bugs.debian.org (full text, mbox):

From: Sven Joachim <svenjoac@gmx.de>
To: Cyril Brulebois <kibi@debian.org>
Cc: 575220@bugs.debian.org, Julien Cristau <jcristau@debian.org>, ncurses@packages.debian.org
Subject: Re: Bug#575220: libslang2: unresolved symbols in hppa's libslang.so.2
Date: Wed, 24 Mar 2010 19:13:00 +0100
clone 575220 -1
reassign -1 ncurses-bin
found -1 5.7+20100313-1
retitle -1 ncurses: causes slang2 miscompiliation [hppa, i386]
block 575220 by -1
thanks

On 2010-03-24 18:59 +0100, Cyril Brulebois wrote:

> Sven Joachim <svenjoac@gmx.de> (24/03/2010):
>> [ CC'ing ncurses maintainers. ]
>
> Yep, I wanted to do the same but either failed or forgot. My ncurses
> build is still running on paer, I wanted to have (pre)processed files
> before looking deeper.
>
>> This seems to be a fallout of the fix for #509919.  FWIW, I get
>> /usr/share/terminfo here (on i386) as well.

And also a miscompiled libslang2 in a pbuilder chroot where that
directory does not exist.

> I only very quickly looked into it, but that sounds likely. I've
> checked that the configure parameters were the same on different
> architectures, I believe autodetection is acting differently across
> architectures. Maybe it'd be nice to fix that bit…

I'll have a look at the build logs when I have time, but as a stop-gap
measure…

>> Maybe it would help if we shipped /usr/share/terminfo in
>> ncurses-base again?  There used to be symlinks to the files in
>> /lib/terminfo there, but I removed them as libncurses does not need
>> them (the library looks in /etc/terminfo, /lib/terminfo and
>> /usr/share/terminfo).
>
> … but that might also do the job.

…I would prefer to just ship /usr/share/terminfo in some package (which
one?), as indeed "mkdir -p /usr/share/terminfo" was enough to build
slang2 correctly.

Sven




Bug 575220 cloned as bug 575284. Request was from Sven Joachim <svenjoac@gmx.de> to control@bugs.debian.org. (Wed, 24 Mar 2010 18:15:04 GMT) Full text and rfc822 format available.

Bug reassigned from package 'libslang2' to 'ncurses-bin'. Request was from Sven Joachim <svenjoac@gmx.de> to control@bugs.debian.org. (Wed, 24 Mar 2010 18:15:07 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions slang2/2.2.2-4. Request was from Sven Joachim <svenjoac@gmx.de> to control@bugs.debian.org. (Wed, 24 Mar 2010 18:15:07 GMT) Full text and rfc822 format available.

Bug Marked as found in versions ncurses/5.7+20100313-1. Request was from Sven Joachim <svenjoac@gmx.de> to control@bugs.debian.org. (Wed, 24 Mar 2010 18:15:08 GMT) Full text and rfc822 format available.

Changed Bug title to 'ncurses: causes slang2 miscompiliation [hppa, i386]' from 'libslang2: unresolved symbols in hppa's libslang.so.2' Request was from Sven Joachim <svenjoac@gmx.de> to control@bugs.debian.org. (Wed, 24 Mar 2010 18:15:09 GMT) Full text and rfc822 format available.

Added indication that bug 575284 blocks 575220 Request was from Sven Joachim <svenjoac@gmx.de> to control@bugs.debian.org. (Wed, 24 Mar 2010 18:15:11 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Sven Joachim <svenjoac@gmx.de> to control@bugs.debian.org. (Thu, 25 Mar 2010 14:15:03 GMT) Full text and rfc822 format available.

Message sent on to Julien Cristau <jcristau@debian.org>:
Bug#575284. (Thu, 25 Mar 2010 14:15:05 GMT) Full text and rfc822 format available.

Message #47 received at 575284-submitter@bugs.debian.org (full text, mbox):

From: Sven Joachim <svenjoac@gmx.de>
To: 575284-submitter@bugs.debian.org
Subject: Bug#575284 marked as pending
Date: Thu, 25 Mar 2010 14:14:05 +0000
tag 575284 pending
thanks

Hello,

Bug #575284 reported by you has been fixed in the Git repository. You can
see the changelog below, and you can check the diff of the fix at:

    http://git.debian.org/?p=collab-maint/ncurses.git;a=commitdiff;h=2f37746

---
commit 2f377460e0d56029ecf63a26d674701a97ad15f9
Author: Sven Joachim <svenjoac@gmx.de>
Date:   Thu Mar 25 14:05:51 2010 +0100

    Include an empty /usr/share/terminfo directory in ncurses-bin
    
    Since "ncurses5-config --terminfo" prints "/usr/share/terminfo" at
    least on some architectures, we need to ensure that this directory
    exists.  Otherwise third party configure scripts may conclude that
    terminfo is not supported.

diff --git a/debian/changelog b/debian/changelog
index 3663fab..0116b02 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -2,6 +2,8 @@ ncurses (5.7+20100313-2) UNRELEASED; urgency=low
 
   [ Sven Joachim ]
   * Disable rmm and smm features in xterm terminfo entry (see #574396).
+  * Include an empty /usr/share/terminfo directory in ncurses-bin to
+    ensure that configure scripts detect terminfo support (Closes: #575284).
 
  -- Sven Joachim <svenjoac@gmx.de>  Fri, 19 Mar 2010 18:03:29 +0100
 




Information forwarded to debian-bugs-dist@lists.debian.org, Craig Small <csmall@debian.org>:
Bug#575284; Package ncurses-bin. (Thu, 25 Mar 2010 14:45:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sven Joachim <svenjoac@gmx.de>:
Extra info received and forwarded to list. Copy sent to Craig Small <csmall@debian.org>. (Thu, 25 Mar 2010 14:45:08 GMT) Full text and rfc822 format available.

Message #52 received at 575284@bugs.debian.org (full text, mbox):

From: Sven Joachim <svenjoac@gmx.de>
To: 575284@bugs.debian.org
Cc: 575220@bugs.debian.org, Julien Cristau <jcristau@debian.org>, Cyril Brulebois <kibi@debian.org>
Subject: Re: Bug#575220: libslang2: unresolved symbols in hppa's libslang.so.2
Date: Thu, 25 Mar 2010 15:43:01 +0100
On 2010-03-24 19:13 +0100, Sven Joachim wrote:

> …I would prefer to just ship /usr/share/terminfo in some package (which
> one?), as indeed "mkdir -p /usr/share/terminfo" was enough to build
> slang2 correctly.

I went ahead and decided to ship /usr/share/terminfo in ncurses-bin, the
same package as ncurses5-config.  Also, libncurses5{w,}-dev will depend
on ncurses-bin of the same binary version so that the buildd chroots
pick up the fixed version.  Bug #480437 shows a reason why this is
probably a good idea anyway.

Why "ncurses5-config --terminfo" prints different output depending on
the architecture still needs to be examined.  Actually,
/usr/share/terminfo would be correct, since that is what we pass to
ncurses' configure script.

Craig, could you please check and upload the package?  This bug should
be fixed ASAP to prevent further miscompilations.

Sven




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#575284; Package ncurses-bin. (Thu, 25 Mar 2010 20:30:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Craig Small <csmall@debian.org>:
Extra info received and forwarded to list. (Thu, 25 Mar 2010 20:30:05 GMT) Full text and rfc822 format available.

Message #57 received at 575284@bugs.debian.org (full text, mbox):

From: Craig Small <csmall@debian.org>
To: Sven Joachim <svenjoac@gmx.de>, 575284@bugs.debian.org
Cc: 575220@bugs.debian.org, Julien Cristau <jcristau@debian.org>, Cyril Brulebois <kibi@debian.org>
Subject: Re: Bug#575284: Bug#575220: libslang2: unresolved symbols in hppa's libslang.so.2
Date: Fri, 26 Mar 2010 07:21:58 +1100
On Thu, Mar 25, 2010 at 03:43:01PM +0100, Sven Joachim wrote:
> Craig, could you please check and upload the package?  This bug should
> be fixed ASAP to prevent further miscompilations.
Will do, but it looks like it will be delayed until they get ries back
alive anyhow.

 - Craig
-- 
Craig Small      GnuPG:1C1B D893 1418 2AF4 45EE  95CB C76C E5AC 12CA DFA5
http://www.enc.com.au/                             csmall at : enc.com.au
http://www.debian.org/          Debian GNU/Linux, software should be Free 




Information forwarded to debian-bugs-dist@lists.debian.org, Craig Small <csmall@debian.org>:
Bug#575284; Package ncurses-bin. (Thu, 25 Mar 2010 20:45:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sven Joachim <svenjoac@gmx.de>:
Extra info received and forwarded to list. Copy sent to Craig Small <csmall@debian.org>. (Thu, 25 Mar 2010 20:45:05 GMT) Full text and rfc822 format available.

Message #62 received at 575284@bugs.debian.org (full text, mbox):

From: Sven Joachim <svenjoac@gmx.de>
To: 575284@bugs.debian.org
Cc: 575220@bugs.debian.org, Julien Cristau <jcristau@debian.org>, Cyril Brulebois <kibi@debian.org>
Subject: Re: Bug#575284: Bug#575220: libslang2: unresolved symbols in hppa's libslang.so.2
Date: Thu, 25 Mar 2010 21:42:31 +0100
On 2010-03-25 15:43 +0100, Sven Joachim wrote:

> Why "ncurses5-config --terminfo" prints different output depending on
> the architecture still needs to be examined.  Actually,
> /usr/share/terminfo would be correct, since that is what we pass to
> ncurses' configure script.

Checking the build logs of slang2, it seems that only the hppa buildd
had a current version of ncurses-bin installed, all others still had
version 5.7+20090803-2 which explains the difference.  Also, on an amd64
sid chroot I get /usr/share/terminfo as well.  Cyril, it seems your
version of ncurses-bin was not up to date?

> Craig, could you please check and upload the package?  This bug should
> be fixed ASAP to prevent further miscompilations.

Especially when newer versions of ncurses-base and ncurses-bin reach the
buildd chroots, like they did on hppa.

Sven




Information forwarded to debian-bugs-dist@lists.debian.org, Craig Small <csmall@debian.org>:
Bug#575284; Package ncurses-bin. (Thu, 25 Mar 2010 21:12:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to Craig Small <csmall@debian.org>. (Thu, 25 Mar 2010 21:12:07 GMT) Full text and rfc822 format available.

Message #67 received at 575284@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Sven Joachim <svenjoac@gmx.de>
Cc: 575284@bugs.debian.org, 575220@bugs.debian.org, Julien Cristau <jcristau@debian.org>
Subject: Re: Bug#575284: Bug#575220: libslang2: unresolved symbols in hppa's libslang.so.2
Date: Thu, 25 Mar 2010 22:10:32 +0100
[Message part 1 (text/plain, inline)]
Sven Joachim <svenjoac@gmx.de> (25/03/2010):
> Also, on an amd64 sid chroot I get /usr/share/terminfo as well.
> Cyril, it seems your version of ncurses-bin was not up to date?

Might be, I'm getting /u/s/t as well now.

Mraw,
KiBi.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#575284; Package ncurses-bin. (Fri, 26 Mar 2010 10:51:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Craig Small <csmall@debian.org>:
Extra info received and forwarded to list. (Fri, 26 Mar 2010 10:51:04 GMT) Full text and rfc822 format available.

Message #72 received at 575284@bugs.debian.org (full text, mbox):

From: Craig Small <csmall@debian.org>
To: Sven Joachim <svenjoac@gmx.de>, 575284@bugs.debian.org
Cc: 575220@bugs.debian.org, Julien Cristau <jcristau@debian.org>, Cyril Brulebois <kibi@debian.org>
Subject: Re: Bug#575284: Bug#575220: libslang2: unresolved symbols in hppa's libslang.so.2
Date: Fri, 26 Mar 2010 21:47:35 +1100
On Thu, Mar 25, 2010 at 03:43:01PM +0100, Sven Joachim wrote:
> Craig, could you please check and upload the package?  This bug should
> be fixed ASAP to prevent further miscompilations.
Done!

 - Craig

-- 
Craig Small      GnuPG:1C1B D893 1418 2AF4 45EE  95CB C76C E5AC 12CA DFA5
http://www.enc.com.au/                             csmall at : enc.com.au
http://www.debian.org/          Debian GNU/Linux, software should be Free 




Reply sent to Sven Joachim <svenjoac@gmx.de>:
You have taken responsibility. (Sat, 03 Apr 2010 17:51:14 GMT) Full text and rfc822 format available.

Notification sent to Julien Cristau <jcristau@debian.org>:
Bug acknowledged by developer. (Sat, 03 Apr 2010 17:51:14 GMT) Full text and rfc822 format available.

Message #77 received at 575284-close@bugs.debian.org (full text, mbox):

From: Sven Joachim <svenjoac@gmx.de>
To: 575284-close@bugs.debian.org
Subject: Bug#575284: fixed in ncurses 5.7+20100313-2
Date: Sat, 03 Apr 2010 17:46:41 +0000
Source: ncurses
Source-Version: 5.7+20100313-2

We believe that the bug you reported is fixed in the latest version of
ncurses, which is due to be installed in the Debian FTP archive:

lib32ncurses5-dev_5.7+20100313-2_amd64.deb
  to main/n/ncurses/lib32ncurses5-dev_5.7+20100313-2_amd64.deb
lib32ncurses5_5.7+20100313-2_amd64.deb
  to main/n/ncurses/lib32ncurses5_5.7+20100313-2_amd64.deb
lib32ncursesw5-dev_5.7+20100313-2_amd64.deb
  to main/n/ncurses/lib32ncursesw5-dev_5.7+20100313-2_amd64.deb
lib32ncursesw5_5.7+20100313-2_amd64.deb
  to main/n/ncurses/lib32ncursesw5_5.7+20100313-2_amd64.deb
libncurses5-dbg_5.7+20100313-2_amd64.deb
  to main/n/ncurses/libncurses5-dbg_5.7+20100313-2_amd64.deb
libncurses5-dev_5.7+20100313-2_amd64.deb
  to main/n/ncurses/libncurses5-dev_5.7+20100313-2_amd64.deb
libncurses5_5.7+20100313-2_amd64.deb
  to main/n/ncurses/libncurses5_5.7+20100313-2_amd64.deb
libncursesw5-dbg_5.7+20100313-2_amd64.deb
  to main/n/ncurses/libncursesw5-dbg_5.7+20100313-2_amd64.deb
libncursesw5-dev_5.7+20100313-2_amd64.deb
  to main/n/ncurses/libncursesw5-dev_5.7+20100313-2_amd64.deb
libncursesw5_5.7+20100313-2_amd64.deb
  to main/n/ncurses/libncursesw5_5.7+20100313-2_amd64.deb
ncurses-base_5.7+20100313-2_all.deb
  to main/n/ncurses/ncurses-base_5.7+20100313-2_all.deb
ncurses-bin_5.7+20100313-2_amd64.deb
  to main/n/ncurses/ncurses-bin_5.7+20100313-2_amd64.deb
ncurses-term_5.7+20100313-2_all.deb
  to main/n/ncurses/ncurses-term_5.7+20100313-2_all.deb
ncurses_5.7+20100313-2.diff.gz
  to main/n/ncurses/ncurses_5.7+20100313-2.diff.gz
ncurses_5.7+20100313-2.dsc
  to main/n/ncurses/ncurses_5.7+20100313-2.dsc



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 575284@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Sven Joachim <svenjoac@gmx.de> (supplier of updated ncurses package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 25 Mar 2010 14:13:38 +0100
Source: ncurses
Binary: libncurses5 libncurses5-dev libncurses5-dbg libncursesw5 libncursesw5-dev libncursesw5-dbg lib64ncurses5 lib64ncurses5-dev lib32ncurses5 lib32ncurses5-dev lib32ncursesw5 lib32ncursesw5-dev ncurses-bin ncurses-base ncurses-term
Architecture: source amd64 all
Version: 5.7+20100313-2
Distribution: unstable
Urgency: medium
Maintainer: Craig Small <csmall@debian.org>
Changed-By: Sven Joachim <svenjoac@gmx.de>
Description: 
 lib32ncurses5 - shared libraries for terminal handling (32-bit)
 lib32ncurses5-dev - developer's libraries for ncurses (32-bit)
 lib32ncursesw5 - shared libraries for terminal handling (wide character support) (
 lib32ncursesw5-dev - developer's libraries for ncursesw (32-bit)
 lib64ncurses5 - shared libraries for terminal handling (64-bit)
 lib64ncurses5-dev - developer's libraries for ncurses (64-bit)
 libncurses5 - shared libraries for terminal handling
 libncurses5-dbg - debugging/profiling libraries for ncurses
 libncurses5-dev - developer's libraries and docs for ncurses
 libncursesw5 - shared libraries for terminal handling (wide character support)
 libncursesw5-dbg - debugging/profiling libraries for ncurses
 libncursesw5-dev - developer's libraries for ncursesw
 ncurses-base - basic terminal type definitions
 ncurses-bin - terminal-related programs and man pages
 ncurses-term - additional terminal type definitions
Closes: 575284
Changes: 
 ncurses (5.7+20100313-2) unstable; urgency=medium
 .
   [ Sven Joachim ]
   * Disable rmm and smm features in xterm terminfo entry (see #574396).
   * Include an empty /usr/share/terminfo directory in ncurses-bin to
     ensure that configure scripts detect terminfo support (Closes: #575284).
   * Let libncurses5-dev and libncursesw5-dev depend on the same version of
     ncurses-bin to mitigate the impact of #480437.
   * Explicitly specify source format 1.0 (lintian warning).
Checksums-Sha1: 
 2dc450f76c0dca990081ae171093d87eb8f95d8b 1567 ncurses_5.7+20100313-2.dsc
 2da67e9a0f7a793af180c3b68f1cbdae60eba1d4 46182 ncurses_5.7+20100313-2.diff.gz
 e98f42b635b58c730281516de8a2a3c5c77a4a82 364598 libncurses5_5.7+20100313-2_amd64.deb
 2c0fd0a963d7f5cdeca3744cd25929aaa5008dc1 1632134 libncurses5-dev_5.7+20100313-2_amd64.deb
 8c0f772f7e6ec3e38994dd52f5aec0529d833568 3261190 libncurses5-dbg_5.7+20100313-2_amd64.deb
 237908ad5afbb355fa6b16073d954a233eb3df81 389322 libncursesw5_5.7+20100313-2_amd64.deb
 ce056ed2775820ec65615e60015f1429b86b8a50 528314 libncursesw5-dev_5.7+20100313-2_amd64.deb
 543043b7908029f5ba10cb8abdad79e0e04ebea0 2804182 libncursesw5-dbg_5.7+20100313-2_amd64.deb
 5c85446cdc19d7f0e7241dcacdc2e118d34ffd77 344540 lib32ncurses5_5.7+20100313-2_amd64.deb
 231763e0e2ccb55d4221807e6773574b5659904d 396838 lib32ncurses5-dev_5.7+20100313-2_amd64.deb
 1edd2a4d6507e0069b71bd998fe16def865897e8 371046 lib32ncursesw5_5.7+20100313-2_amd64.deb
 4f5c843dd3c2ea5b3da2b360f7b7302762f132e7 426212 lib32ncursesw5-dev_5.7+20100313-2_amd64.deb
 0a7b521000ccab3f9295342980b25092878e1b80 319958 ncurses-bin_5.7+20100313-2_amd64.deb
 77eb6216209971a707518b1e9305ede6dd3a795d 187290 ncurses-base_5.7+20100313-2_all.deb
 16cc7ab6148abb4e4cebd82a1a5161f971fbe53a 576644 ncurses-term_5.7+20100313-2_all.deb
Checksums-Sha256: 
 e1565de868336fbde197eaa655a73d8427bf9bb0d61ece3aaffa99f802194e22 1567 ncurses_5.7+20100313-2.dsc
 be28d90fbc97108c133d5a301946b92e3558269110c5991e64a1c9dcdb5b6d6a 46182 ncurses_5.7+20100313-2.diff.gz
 e546a729d8df837641db139059b1c2ad4c79097008ceb2cded2cb0992f7bd126 364598 libncurses5_5.7+20100313-2_amd64.deb
 d1e50132146082cd7dd7c7d39028f91e609624964e83f334f4f3e10d95b93b3f 1632134 libncurses5-dev_5.7+20100313-2_amd64.deb
 3f3efcecc470d167b58bd06f8914b5a096aa988b720db37ede768be62748e8ec 3261190 libncurses5-dbg_5.7+20100313-2_amd64.deb
 19b134fea63bd128a9d0d929a69ae36f08660a1244ba9277563f351724f182e7 389322 libncursesw5_5.7+20100313-2_amd64.deb
 144a44ef7d7bfdeaad6af0f043726c5fc79c08701a14f7d6e6e4b5a9be7121e8 528314 libncursesw5-dev_5.7+20100313-2_amd64.deb
 d8da2886dfa989f1ffabb679914b5f0fe88d49dd7cb73a09023103e4d17ceafc 2804182 libncursesw5-dbg_5.7+20100313-2_amd64.deb
 5311e15603f1d02934956d570de8072433493192c84e4fbdbf728e9a2b2c48ea 344540 lib32ncurses5_5.7+20100313-2_amd64.deb
 77df615530b28f2fab5d48fd36d31476ba899af8d19594d71936c8cef4148267 396838 lib32ncurses5-dev_5.7+20100313-2_amd64.deb
 3b291639740e3783f2cab9c39aaf97d62b08dae1c232d9c4122667003e5a731d 371046 lib32ncursesw5_5.7+20100313-2_amd64.deb
 0fc4b61544b9b4272d47a197c27e0434c9bd8e0f12cf61875f1bec88c2814308 426212 lib32ncursesw5-dev_5.7+20100313-2_amd64.deb
 35c8e086b36861cfc9278ec7b9823cab3336de62e1cc637730425f595c4ae465 319958 ncurses-bin_5.7+20100313-2_amd64.deb
 f53b3440e6492b0fc1f3521b7854ffa2e6dc1f661a83680c8239e4fdfc02e0ca 187290 ncurses-base_5.7+20100313-2_all.deb
 6aabf79b726eae6cfcd94e63c033e6c0dba1755e2101fe1966fe7b90a486257e 576644 ncurses-term_5.7+20100313-2_all.deb
Files: 
 12006311c381ef9e635c5b8975974732 1567 libs required ncurses_5.7+20100313-2.dsc
 b63614a0a1f1d1a38a2f6b4c7a1dd69f 46182 libs required ncurses_5.7+20100313-2.diff.gz
 a41c8016f7df98d7583feddb69e5b552 364598 libs required libncurses5_5.7+20100313-2_amd64.deb
 0e5c93913a20759cd732fc80b3ad1c41 1632134 libdevel optional libncurses5-dev_5.7+20100313-2_amd64.deb
 428ea9f2a08d6df09240307cb18538d0 3261190 debug extra libncurses5-dbg_5.7+20100313-2_amd64.deb
 933ad8e869fdf4f742538e22158c16e8 389322 libs important libncursesw5_5.7+20100313-2_amd64.deb
 11128461b628917bb98c897ebb13c6e6 528314 libdevel optional libncursesw5-dev_5.7+20100313-2_amd64.deb
 1180a8c4cfed5a3d4432e16b71528c99 2804182 debug extra libncursesw5-dbg_5.7+20100313-2_amd64.deb
 98e95bf2b24dcfc163bf51fb53987e07 344540 libs optional lib32ncurses5_5.7+20100313-2_amd64.deb
 214ddda0a3d182704bd77f4a6410d2b5 396838 libdevel optional lib32ncurses5-dev_5.7+20100313-2_amd64.deb
 97b60debb1e74f97bf3f851f0e623108 371046 libs optional lib32ncursesw5_5.7+20100313-2_amd64.deb
 d35d55081c54e46ceadc120ab02142b5 426212 libdevel optional lib32ncursesw5-dev_5.7+20100313-2_amd64.deb
 95148d556ecfcfbfa55866b758fb0356 319958 utils required ncurses-bin_5.7+20100313-2_amd64.deb
 83e4c37698b393b88bd1bd18683b11a2 187290 utils required ncurses-base_5.7+20100313-2_all.deb
 981fb62364dc674941309697777ddcbf 576644 admin standard ncurses-term_5.7+20100313-2_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iD8DBQFLrImcx2zlrBLK36URAguMAJ92kjXkp8xym68Lud+ejvVXk+V0AQCbBtix
8spCm5TnYNNYipPYAAeD9g4=
=RBQj
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 07 May 2010 07:38:54 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 14:08:38 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.